#!/usr/bin/perl

##
# by Thomas Koch <tom@linvdr.org>
##
use POSIX qw(strftime sprintf);

my $PROC_ALARM = "/proc/acpi/alarm";
my $DEBUG = 0;


die "Wrong parameter count\n" if(scalar(@ARGV) != 5);
die "$PROC_ALARM missing" if(!-e $PROC_ALARM);

my($Next, $Delta, $Channel, $Recording, $UserShutdown) = @ARGV;

print("Next event at ", strftime("%d.%m.%Y %H:%M", localtime($Next))) if($DEBUG);
system(sprintf("echo cat %s > %s", strftime("%Y-%m-%d %H:%M", localtime($Next)), $PROC_ALARM));
system("/sbin/poweroff");

